# -*- coding: utf-8 -*-
"""
/***************************************************************************
 BandStackerDialog
                                 A QGIS plugin
 A plugin to stack bands from selected raster layers
                             -------------------
        begin                : 2024-06-02
        git sha              : $Format:%H$
        copyright            : (C) 2024 by Mirjan Ali Sha
        email                : mastools.help@gmail.com
 ***************************************************************************/
"""

import os

from qgis.PyQt import uic
from qgis.PyQt import QtWidgets

# This loads your .ui file so that PyQt can populate your plugin with the elements from Qt Designer
FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'band_stacker_dialog_base.ui'))


class BandStackerDialog(QtWidgets.QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        """Constructor."""
        super(BandStackerDialog, self).__init__(parent)
        # Set up the user interface from Designer through FORM_CLASS.
        # After self.setupUi() you can access any designer object by doing
        # self.<objectname>, and you can use autoconnect slots - see
        # http://qt-project.org/doc/qt-4.8/designer-using-a-ui-file.html
        # #widgets-and-dialogs-with-auto-connect
        self.setupUi(self)
